VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IUIDescription Class Referenceabstract
Inheritance diagram for IUIDescription:

## Public Member Functions
virtual | ~IUIDescription () noexcept=default
virtual CView * | createView (UTF8StringPtr name, IController *controller) const =0
virtual CBitmap * | getBitmap (UTF8StringPtr name) const =0
virtual CFontRef | getFont (UTF8StringPtr name) const =0
virtual bool | getColor (UTF8StringPtr name, CColor &color) const =0
virtual CGradient * | getGradient (UTF8StringPtr name) const =0
virtual int32_t | getTagForName (UTF8StringPtr name) const =0
virtual IControlListener * | getControlListener (UTF8StringPtr name) const =0
virtual IController * | getController () const =0
virtual UTF8StringPtr | lookupColorName (const CColor &color) const =0
virtual UTF8StringPtr | lookupFontName (const CFontRef font) const =0
virtual UTF8StringPtr | lookupBitmapName (const CBitmap *bitmap) const =0
virtual UTF8StringPtr | lookupGradientName (const CGradient *gradient) const =0
virtual UTF8StringPtr | lookupControlTagName (const int32_t tag) const =0
virtual bool | getVariable (UTF8StringPtr name, double &value) const =0
virtual bool | getVariable (UTF8StringPtr name, std::string &value) const =0
virtual void | collectTemplateViewNames (std::list< const std::string * > &names) const =0
virtual void | collectColorNames (std::list< const std::string * > &names) const =0
virtual void | collectFontNames (std::list< const std::string * > &names) const =0
virtual void | collectBitmapNames (std::list< const std::string * > &names) const =0
virtual void | collectGradientNames (std::list< const std::string * > &names) const =0
virtual void | collectControlTagNames (std::list< const std::string * > &names) const =0
virtual const IViewFactory * | getViewFactory () const =0

## Static Public Attributes
static IdStringPtr | kCustomViewName = "custom-view-name"

## Constructor & Destructor Documentation

virtual ~IUIDescription | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void collectBitmapNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual void collectColorNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual void collectControlTagNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual void collectFontNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual void collectGradientNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual void collectTemplateViewNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

virtual CView* createView | ( | UTF8StringPtr | name,
|  | IController * | controller
| ) |  | const
| pure virtual

Implemented in UIDescription.

virtual CBitmap* getBitmap | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

virtual bool getColor | ( | UTF8StringPtr | name,
|  | CColor & | color
| ) |  | const
| pure virtual

Implemented in UIDescription.

virtual IController* getController | ( |  | ) | const
| pure virtual

Implemented in UIDescription.

virtual IControlListener* getControlListener | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

virtual CFontRef getFont | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

virtual CGradient* getGradient | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

virtual int32_t getTagForName | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

virtual bool getVariable | ( | UTF8StringPtr | name,
|  | double & | value
| ) |  | const
| pure virtual

Implemented in UIDescription.

virtual bool getVariable | ( | UTF8StringPtr | name,
|  | std::string & | value
| ) |  | const
| pure virtual

Implemented in UIDescription.

virtual const IViewFactory* getViewFactory | ( |  | ) | const
| pure virtual

Implemented in UIDescription.

virtual UTF8StringPtr lookupBitmapName | ( | const CBitmap * | bitmap | ) | const
| pure virtual

Implemented in UIDescription.

virtual UTF8StringPtr lookupColorName | ( | const CColor & | color | ) | const
| pure virtual

Implemented in UIDescription.

virtual UTF8StringPtr lookupControlTagName | ( | const int32_t | tag | ) | const
| pure virtual

Implemented in UIDescription.

virtual UTF8StringPtr lookupFontName | ( | const CFontRef | font | ) | const
| pure virtual

Implemented in UIDescription.

virtual UTF8StringPtr lookupGradientName | ( | const CGradient * | gradient | ) | const
| pure virtual

Implemented in UIDescription.

## Member Data Documentation

IdStringPtr kCustomViewName = "custom-view-name"
| static

The documentation for this class was generated from the following files:

- iuidescription.h
- uidescription.cpp